export default [
  {
    id: "1",
    name: "基础管理",
    url: "base",
    type: "MENU",
    parentId: "-1",
    sequence: 1,
    enable: true
  },
  {
    id: "2",
    name: "用户管理",
    url: "user",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true
  },
  {
    id: "3",
    name: "组织架构",
    url: "OrganizationManage",
    type: "MENU",
    parentId: "2",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "92",
        name: "组织机构-查询",
        url: "/api/admin/sys/org/list",
        type: "URL",
        parentId: "4",
        sequence: 1,
        enable: true
      },
      {
        id: "93",
        name: "组织机构-新增/修改",
        url: "/api/admin/sys/org/save",
        type: "URL",
        parentId: "4",
        sequence: 2,
        enable: true
      },
      {
        id: "94",
        name: "组织机构-删除",
        url: "/api/admin/sys/org/remove",
        type: "URL",
        parentId: "4",
        sequence: 3,
        enable: true
      },
      {
        id: "371",
        name: "根据类型查询机构",
        url: "/api/admin/sys/org/find_by_type",
        type: "URL",
        parentId: "4",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "224",
        name: "组织架构-导入",
        url: "import",
        type: "BUTTON",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "225",
        name: "组织架构-+子部门",
        url: "Add",
        type: "LINK",
        parentId: "4",
        sequence: 1,
        enable: true
      },
      {
        id: "226",
        name: "组织架构-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "4",
        sequence: 2,
        enable: true
      },
      {
        id: "227",
        name: "组织架构-删除",
        url: "Delete",
        type: "LINK",
        parentId: "4",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "228",
        name: "组织架构-树形列表",
        url: "List",
        type: "LIST",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "234",
        name: "组织架构-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "4",
    name: "用户管理",
    url: "UserManage",
    type: "MENU",
    parentId: "2",
    sequence: 2,
    enable: true,
    urls: [
      {
        id: "77",
        name: "用户管理-查询",
        url: "/api/admin/sys/user/list",
        type: "URL",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "78",
        name: "用户管理-新增/修改",
        url: "/api/admin/sys/user/save",
        type: "URL",
        parentId: "5",
        sequence: 2,
        enable: true
      },
      {
        id: "79",
        name: "用户管理-启用/禁用",
        url: "/api/admin/sys/user/enable",
        type: "URL",
        parentId: "5",
        sequence: 3,
        enable: true
      },
      {
        id: "80",
        name: "用户管理-重置密码",
        url: "/api/admin/sys/user/reset_password",
        type: "URL",
        parentId: "5",
        sequence: 4,
        enable: true
      },
      {
        id: "81",
        name: "用户管理-导入",
        url: "/api/admin/sys/user/import",
        type: "URL",
        parentId: "5",
        sequence: 5,
        enable: true
      },
      {
        id: "87",
        name: "用户管理-用户已绑定角色列表",
        url: "/api/admin/sys/role/get_user_roles",
        type: "URL",
        parentId: "5",
        sequence: 5,
        enable: true
      },
      {
        id: "184",
        name: "用户管理-查询用户可绑定角色",
        url: "/api/admin/sys/role/list_to_user",
        type: "URL",
        parentId: "5",
        sequence: 7,
        enable: true
      },
      {
        id: "532",
        name: "用户管理-同步",
        url: "/api/admin/sys/user/push",
        type: "URL",
        parentId: "5",
        sequence: 8,
        enable: true
      }
    ],
    buttons: [
      {
        id: "217",
        name: "用户管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "509",
        name: "用户管理-批量删除",
        url: "batchDelete",
        type: "BUTTON",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "218",
        name: "用户管理-添加用户",
        url: "Add",
        type: "BUTTON",
        parentId: "5",
        sequence: 2,
        enable: true
      },
      {
        id: "243",
        name: "用户管理-批量导入",
        url: "Export",
        type: "BUTTON",
        parentId: "5",
        sequence: 3,
        enable: true
      }
    ],
    links: [
      {
        id: "219",
        name: "用户管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "5",
        sequence: 1,
        enable: true
      },
      {
        id: "220",
        name: "用户管理-启用&禁用",
        url: "Enable",
        type: "LINK",
        parentId: "5",
        sequence: 2,
        enable: true
      },
      {
        id: "223",
        name: "用户管理-重置密码",
        url: "Reset",
        type: "LINK",
        parentId: "5",
        sequence: 3,
        enable: true
      },
      {
        id: "2231",
        name: "用户管理-删除",
        url: "delete",
        type: "LINK",
        parentId: "5",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "221",
        name: "用户管理-列表",
        url: "List",
        type: "LIST",
        parentId: "5",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "222",
        name: "用户管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "5",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "5",
    name: "学生管理",
    url: "StudentManage",
    type: "MENU",
    parentId: "2",
    sequence: 6,
    enable: true,
    urls: [
      {
        id: "362",
        name: "学生基本信息管理-查询",
        url: "/api/admin/basic/student/query",
        type: "URL",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "363",
        name: "学生基本信息管理-新增/编辑",
        url: "/api/admin/basic/student/save",
        type: "URL",
        parentId: "358",
        sequence: 2,
        enable: true
      },
      {
        id: "364",
        name: "学生基本信息管理-批量删除（逻辑）",
        url: "/api/admin/basic/student/delete_batch",
        type: "URL",
        parentId: "358",
        sequence: 3,
        enable: true
      },
      {
        id: "365",
        name: "学生基本信息管理-批量导入（异步）",
        url: "/api/admin/basic/student/data_import",
        type: "URL",
        parentId: "358",
        sequence: 4,
        enable: true
      },
      {
        id: "569",
        name: "学生基本信息管理-根据条件删除（物理）",
        url: "/api/admin/basic/student/delete_by_condition",
        type: "URL",
        parentId: "358",
        sequence: 5,
        enable: true
      }
    ],
    buttons: [
      {
        id: "377",
        name: "学生管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "379",
        name: "学生管理-新增",
        url: "Add",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "570",
        name: "学生管理-根据条件删除",
        url: "Delete",
        type: "BUTTON",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "382",
        name: "学生管理-批量导入",
        url: "Import",
        type: "BUTTON",
        parentId: "358",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "380",
        name: "学生管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true
      },
      {
        id: "381",
        name: "学生管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ],
    lists: [
      {
        id: "378",
        name: "学生管理-列表",
        url: "List",
        type: "LIST",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "400",
        name: "学生管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "6",
    name: "角色管理",
    url: "RoleManage",
    type: "MENU",
    parentId: "2",
    sequence: 3,
    enable: true,
    urls: [
      {
        id: "83",
        name: "角色管理-查询",
        url: "/api/admin/sys/role/list",
        type: "URL",
        parentId: "6",
        sequence: 1,
        enable: true
      },
      {
        id: "84",
        name: "角色管理-删除",
        url: "/api/admin/sys/role/remove",
        type: "URL",
        parentId: "6",
        sequence: 2,
        enable: true
      },
      {
        id: "85",
        name: "角色管理-新增/修改",
        url: "/api/admin/sys/role/save",
        type: "URL",
        parentId: "6",
        sequence: 3,
        enable: true
      },
      {
        id: "91",
        name: "角色管理-角色已绑定权限列表",
        url: "/api/admin/sys/privilege/get_role_privileges",
        type: "URL",
        parentId: "6",
        sequence: 4,
        enable: true
      }
    ],
    buttons: [
      {
        id: "229",
        name: "角色管理-查询",
        url: "Select",
        type: "BUTTON",
        parentId: "6",
        sequence: 1,
        enable: true
      },
      {
        id: "230",
        name: "角色管理-添加角色",
        url: "Add",
        type: "BUTTON",
        parentId: "6",
        sequence: 2,
        enable: true
      }
    ],
    links: [
      {
        id: "231",
        name: "角色管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "6",
        sequence: 1,
        enable: true
      },
      {
        id: "232",
        name: "角色管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "6",
        sequence: 2,
        enable: true
      },
      {
        id: "647",
        name: "角色管理-数据权限",
        url: "dataPriviledge",
        type: "LINK",
        parentId: "6",
        sequence: 3,
        enable: true
      }
    ],
    lists: [
      {
        id: "233",
        name: "角色管理-列表",
        url: "List",
        type: "LIST",
        parentId: "6",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "235",
        name: "角色管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "6",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "7",
    name: "档案管理",
    url: "record",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true
  },
  {
    id: "8",
    name: "档案管理",
    url: "RecordManage",
    type: "MENU",
    parentId: "7",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "学期管理-查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "560",
        name: "学期管理-设置当前使用学期",
        url: "/api/admin/basic/semester/set_in_used",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "534",
        name: "学期管理-新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true
      },
      {
        id: "535",
        name: "学期管理-删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "select",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "Add",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "512",
        name: "学期管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "559",
        name: "学期管理-设置当前使用学期",
        url: "Detail",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "513",
        name: "学期管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "514",
        name: "学期管理-列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "400",
        name: "学生管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "81",
    name: "档案详情",
    url: "RecordDetail",
    type: "MENU",
    parentId: "7",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "学期管理-查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "560",
        name: "学期管理-设置当前使用学期",
        url: "/api/admin/basic/semester/set_in_used",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "534",
        name: "学期管理-新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true
      },
      {
        id: "535",
        name: "学期管理-删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "select",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "Add",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "512",
        name: "学期管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "559",
        name: "学期管理-设置当前使用学期",
        url: "Detail",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "513",
        name: "学期管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "514",
        name: "学期管理-列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "400",
        name: "学生管理-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "358",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "9",
    name: "扫描管理",
    url: "scan",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true
  },
  {
    id: "10",
    name: "扫描任务管理",
    url: "ScanTaskManage",
    type: "MENU",
    parentId: "9",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "学期管理-查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "560",
        name: "学期管理-设置当前使用学期",
        url: "/api/admin/basic/semester/set_in_used",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "534",
        name: "学期管理-新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true
      },
      {
        id: "535",
        name: "学期管理-删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "select",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "Add",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "511",
        name: "学期管理-批量删除",
        url: "batchDelete",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "511",
        name: "学期管理-导入",
        url: "import",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "511",
        name: "学期管理-导入",
        url: "bind",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "512",
        name: "学期管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "559",
        name: "学期管理-详情",
        url: "detail",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "513",
        name: "学期管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "514",
        name: "学期管理-列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "234",
        name: "组织架构-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "11",
    name: "数据检查",
    url: "check",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true
  },
  {
    id: "12",
    name: "数据检查",
    url: "DataCheckManage",
    type: "MENU",
    parentId: "11",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "学期管理-查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "560",
        name: "学期管理-设置当前使用学期",
        url: "/api/admin/basic/semester/set_in_used",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "534",
        name: "学期管理-新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true
      },
      {
        id: "535",
        name: "学期管理-删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "done",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "select",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "512",
        name: "学期管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "559",
        name: "学期管理-设置当前使用学期",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "513",
        name: "学期管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "514",
        name: "学期管理-列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    conditions: [
      {
        id: "234",
        name: "组织架构-查询条件",
        url: "Condition",
        type: "CONDITION",
        parentId: "4",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "13",
    name: "系统管理",
    url: "system",
    type: "MENU",
    parentId: "1",
    sequence: 1,
    enable: true
  },
  {
    id: "14",
    name: "学期管理",
    url: "SemesterManage",
    type: "MENU",
    parentId: "13",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "学期管理-查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "560",
        name: "学期管理-设置当前使用学期",
        url: "/api/admin/basic/semester/set_in_used",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "534",
        name: "学期管理-新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true
      },
      {
        id: "535",
        name: "学期管理-删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "Add",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "512",
        name: "学期管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "559",
        name: "学期管理-设置当前使用学期",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "513",
        name: "学期管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "514",
        name: "学期管理-列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ]
  },
  {
    id: "15",
    name: "档案类型管理",
    url: "ArchivesTypeManage",
    type: "MENU",
    parentId: "13",
    sequence: 1,
    enable: true,
    urls: [
      {
        id: "533",
        name: "学期管理-查询",
        url: "/api/admin/basic/semester/query",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "560",
        name: "学期管理-设置当前使用学期",
        url: "/api/admin/basic/semester/set_in_used",
        type: "URL",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "534",
        name: "学期管理-新增/编辑",
        url: "/api/admin/basic/semester/save",
        type: "URL",
        parentId: "510",
        sequence: 2,
        enable: true
      },
      {
        id: "535",
        name: "学期管理-删除",
        url: "/api/admin/basic/semester/delete",
        type: "URL",
        parentId: "510",
        sequence: 3,
        enable: true
      }
    ],
    buttons: [
      {
        id: "511",
        name: "学期管理-新建学期",
        url: "Add",
        type: "BUTTON",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ],
    links: [
      {
        id: "512",
        name: "学期管理-编辑",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "559",
        name: "学期管理-设置当前使用学期",
        url: "Edit",
        type: "LINK",
        parentId: "510",
        sequence: 1,
        enable: true
      },
      {
        id: "513",
        name: "学期管理-删除",
        url: "Delete",
        type: "LINK",
        parentId: "510",
        sequence: 2,
        enable: true
      }
    ],
    lists: [
      {
        id: "514",
        name: "学期管理-列表",
        url: "List",
        type: "LIST",
        parentId: "510",
        sequence: 1,
        enable: true
      }
    ]
  }
];
