import { $postParam, $post } from "@/plugins/axios";

// scan-task-manage
export const scanTaskListPage = datas => {
  return $postParam("/api/admin/paper/scan_task/query", datas);
};
export const scanTaskDetailPage = datas => {
  return $postParam("/api/admin/paper/scan_task/task_detail_page", datas);
};
export const updateScanTask = datas => {
  return $post("/api/admin/", datas);
};
export const deleteScanTask = ids => {
  return $postParam("/api/admin/paper/scan_task/delete_batch", {
    ids: ids.join()
  });
};
export const clearScanTaskData = paperScanTaskId => {
  return $postParam("/api/admin/paper/scan_task/clear_scan_data", {
    paperScanTaskId
  });
};
export const unbindScanTaskUser = paperScanTaskId => {
  return $postParam("/api/admin/paper/scan_task/unbind_scanner", {
    paperScanTaskId
  });
};
export const scanTaskStudentListPage = datas => {
  return $postParam("/api/admin/paper/library/page_student", datas);
};
export const dataCheckStateDetail = paperScanTaskId => {
  return $postParam("/api/admin/paper/scan_task/bind_progress_detail", {
    paperScanTaskId
  });
};
export const releaseUserLibraryTask = datas => {
  return $postParam("/api/admin/paper/scan_task/release_binding_task", datas);
};

// archives-manage
export const archivesListPage = datas => {
  return $postParam("/api/admin/paper/archives/page", datas);
};
export const archivesDetailListPage = datas => {
  return $postParam("/api/admin/paper/archives/page_detail", datas);
};
export const archivesDetailDownloadPaper = datas => {
  return $post("/api/admin/paper/archives/paper_download", datas);
};
export const updateArchives = datas => {
  return $post("/api/admin/paper/archives/save", datas);
};
export const deleteArchives = ids => {
  return $postParam("/api/admin/paper/archives/delete", { ids: ids.join() });
};
// library-manage
export const dataCheckUndoListPage = datas => {
  return $postParam("/api/admin/paper/library/page_unbind", datas);
};
export const dataCheckDoneListPage = datas => {
  return $postParam("/api/admin/paper/library/page_bind", datas);
};
export const studentPictureList = paperScanTaskDetailId => {
  return $postParam("/api/admin/paper/library/list_student_picture", {
    paperScanTaskDetailId
  });
};
export const studentUnbindTaskListPage = datas => {
  return $postParam("/api/admin/paper/library/get_bind_data", datas);
};
export const paperBindUser = datas => {
  return $postParam("/api/admin/paper/library/bind", datas);
};
export const listByStudentCode = datas => {
  return $postParam("/api/admin/paper/library/list_by_student_code", datas);
};
export const libraryOcrResult = datas => {
  return $postParam("/api/admin/paper/library/ocr", datas);
};
