import Vue from "vue";
import {
  ORG_TYPE,
  DATA_TASK_STATUS,
  DATA_TASK_TYPE,
  DATA_TASK_RESULT
} from "../constants/enumerate";
import { formatDate } from "../plugins/utils";

const DEFAULT_FIELD = "--";

Vue.filter("defaultFieldFilter", function(val) {
  return val || DEFAULT_FIELD;
});
Vue.filter("enableFilter", function(val) {
  return val ? "启用" : "禁用";
});
Vue.filter("orgsFilter", function(val) {
  return val.map(item => item.name).join("，");
});
Vue.filter("rolesFilter", function(val) {
  return val.map(item => item.name).join("，");
});
Vue.filter("coursesFilter", function(val) {
  return val.map(item => `${item.name}(${item.code})`).join("，");
});
Vue.filter("timestampFilter", function(val) {
  return val
    ? formatDate("YYYY-MM-DD HH:mm:ss", new Date(val * 1))
    : DEFAULT_FIELD;
});
Vue.filter("orgTypeFilter", function(val) {
  return ORG_TYPE[val] || DEFAULT_FIELD;
});
Vue.filter("dataTaskTypeFilter", function(val) {
  return DATA_TASK_TYPE[val] || DEFAULT_FIELD;
});
Vue.filter("dataTaskStatusFilter", function(val) {
  return DATA_TASK_STATUS[val] || DEFAULT_FIELD;
});
Vue.filter("dataTaskResultFilter", function(val) {
  return DATA_TASK_RESULT[val] || DEFAULT_FIELD;
});
