import { objAssign, randomCode, tableAction } from "@/plugins/utils";
// mixins
import commonMixins from "../mixins/common";
import privilegeMixins from "../mixins/privilege";
// components
import ViewFooter from "@/components/ViewFooter.vue";
import MoreText from "@/components/MoreText.vue";
import CourseSelect from "../components/base/CourseSelect.vue";
import SchoolSelect from "../components/base/SchoolSelect.vue";
import ScanTaskSelect from "../components/base/ScanTaskSelect.vue";
import SemesterSelect from "../components/base/SemesterSelect.vue";
import CollegeSelect from "../components/base/CollegeSelect.vue";
import MajorSelect from "../components/base/MajorSelect.vue";
import ClassSelect from "../components/base/ClassSelect.vue";
import OrgSelect from "../components/base/OrgSelect.vue";
import TeachClazzSelect from "../components/base/TeachClazzSelect.vue";
import ArchivesSelect from "../components/base/ArchivesSelect.vue";
import ArchivesOrgSelect from "../components/base/ArchivesOrgSelect.vue";
import ArchivesTypeSelect from "../components/base/ArchivesTypeSelect.vue";
import ArchivesManageUserSelect from "../components/base/ArchivesManageUserSelect.vue";

const components = {
  ViewFooter,
  MoreText,
  CourseSelect,
  ScanTaskSelect,
  SchoolSelect,
  SemesterSelect,
  CollegeSelect,
  MajorSelect,
  ClassSelect,
  OrgSelect,
  TeachClazzSelect,
  ArchivesSelect,
  ArchivesOrgSelect,
  ArchivesTypeSelect,
  ArchivesManageUserSelect
};

export default {
  install: function(Vue) {
    // 实例方法
    Vue.prototype.$tableAction = tableAction;
    Vue.prototype.$objAssign = objAssign;
    Vue.prototype.$randomCode = randomCode;

    // 注册全局组件
    Object.keys(components).forEach(key => {
      Vue.component(key, components[key]);
    });

    //全局 mixins
    Vue.mixin(commonMixins);
    Vue.mixin(privilegeMixins);
  }
};
